Deployment error in SSDT

Topics: Standing Discussions
Dec 16, 2015 at 4:04 PM
Here's the error message when I try to deploy a package from SSDT. Any help is greatly appreciated.

Version 12.0.2000.8 for 32-bit
Copyright (C) Microsoft Corporation 2014. All rights reserved.

This application requires one of the components: Integration Services, Business Intelligence Studio, Management Tools - Basic or Database Engine to be installed by SQL Server 2014 Standard, Enterprise, Developer, Business Intelligence, or Evaluation Edition. To install a component, run SQL Server Setup and select the component name.
Coordinator
Dec 16, 2015 at 5:17 PM
Use the SQL 2014 install media to install Integration Services. Dtutil won't work without it.
Jun 8 at 2:50 PM
I'm having the same problem, but the message refers to SQL Server 2016. And, the SSMS install for 2016 seems to not include all the components like integration services.
Coordinator
Jun 9 at 6:28 PM
Cashfo01 you are right. You need to use the SQL install media matching the version your are deploying to and install the Integration Services service. Unfortunately that is required. It is true for SQL 2014 and forward.